Bug 130325 - dd man page incorrect
dd man page incorrect
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 23:19 EDT by George Toft
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 04:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George Toft 2004-08-18 23:19:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
dd man page states:
Note that sending a SIGUSR1 signal to a running �dd� process  makes  it
       print  to standard error the number of records read and written
so far,
       then to resume copying.

              $ dd if=/dev/zero of=/dev/null& pid=$!
              $ kill -USR1 $pid; sleep 1; kill $pid

kill -USR1 $pid causes dd to terminate.

Version-Release number of selected component (if applicable):
coreutils-5.2.1-17

How reproducible:
Always

Steps to Reproduce:
1. Open 2 xterms as root
2. in window1: dd if=/dev/sda3 of=/dev/sdb3
3. in window2: ps -ef | grep dd
4. Collect pid of dd (it was 3007 in my case)
5.  kill -USR1 3007; sleep 1; kill 3007
6. in window1: 
583937+0 records in
583936+0 records out
Terminated

    

Actual Results:  see above

Expected Results:  See man page

Additional info:
Comment 1 Tim Waugh 2004-08-19 04:38:28 EDT
Works fine for me.  coreutils-5.2.1-22.

$ dd if=/dev/zero of=/dev/null
1096548+0 records in   <-- first USR1
1096548+0 records out
1620336+0 records in   <-- second USR1
1620336+0 records out
2056723+0 records in   <-- third USR1
2056722+0 records out
2208940+0 records in   <-- Ctrl-C
2208939+0 records out

Note You need to log in before you can comment on or make changes to this bug.